# (bio)climate 

ps=22krun_bioclim_0kCrudiffd
 
gmt gmtset PS_PAGE_ORIENTATION portrait
gmt gmtset FONT_ANNOT_PRIMARY 12
gmt gmtset MAP_ANNOT_OFFSET_PRIMARY 0.3c
gmt gmtset FONT_TITLE 13p
gmt gmtset MAP_FRAME_TYPE plain
gmt gmtset MAP_FRAME_AXES WeSn
#gmt gmtset MAP_FRAME_PEN p,thick
gmt gmtset MAP_GRID_PEN_PRIMARY 1.25p/200/200/200
gmt gmtset MAP_TICK_LENGTH 0.0c
gmt gmtset FORMAT_GEO_MAP F
gmt gmtset MAP_LABEL_OFFSET 0.0c
gmt gmtset MAP_GRID_PEN_PRIMARY default,black

gmt psscale  -D3.5i/4.9i/6i/0.15ih -L -E -Ctemp_diff22.cpt -K > $ps
gmt psscale  -D3.5i/1.2i/6i/0.15ih -L -E -Cprecip_diff22.cpt -O -K >> $ps

#gmt gmtset FONT_ANNOT_PRIMARY 10
gmt gmtset MAP_TITLE_OFFSET -0.3c
gmt gmtset MAP_GRID_PEN_PRIMARY default,grey
gmt gmtset MAP_ANNOT_OFFSET_PRIMARY 0.1c
gmt gmtset MAP_TICK_LENGTH 0.0c


gmt grdimage -R-180/180/20/90 -JQ0/50/18c -Y8.2i "./../output/MPI-ESM_0k_bio1out-CRU.nc?Twarm[0,0]" -B60g30/30g15:."Twarm:"  -Sn -Ctemp_diff22.cpt -O -K >> $ps

gmt grdcontour "./../MPI-ESM_0k_slm.nc?lsm[0,0]" -R -J -Clsm.d -A1000 -Wthin,black  -O  -K >> $ps

###################################

gmt grdimage -R-180/180/20/90 -JQ0/50/18c -Y-2.7i "./../output/MPI-ESM_0k_bio1out-CRU.nc?Tcold[0,0]" -B60g30/30g15:."Tcold:"   -Sn -Ctemp_diff22.cpt -O -K >> $ps

gmt grdcontour "./../MPI-ESM_0k_slm.nc?lsm[0,0]" -R -J -Clsm.d -A1000 -Wthin,black  -O -K >> $ps


gmt grdimage -R-180/180/20/90 -JQ0/50/18c -Y-3.7i "./../output/MPI-ESM_0k_bio1in-CRU.nc?precip[0,0]" -B60g30/30g15:."precip:"   -Sn -Cprecip_diff22.cpt -O -K >> $ps

gmt grdcontour "./../MPI-ESM_0k_slm.nc?lsm[0,0]" -R -J -Clsm.d -A1000 -Wthin,black  -O >> $ps


ps2pdf $ps $ps.pdf
rm $ps
evince $ps.pdf &
