set -ex

ps=openess_allcont

gmt gmtset PS_PAGE_ORIENTATION portrait
gmt gmtset FONT_ANNOT_PRIMARY 12
gmt gmtset MAP_ANNOT_OFFSET_PRIMARY 0.3c
gmt gmtset FONT_TITLE 13p
gmt gmtset MAP_FRAME_TYPE plain
gmt gmtset MAP_FRAME_AXES WeSn
#gmt gmtset MAP_FRAME_PEN p,thick
gmt gmtset MAP_GRID_PEN_PRIMARY 1.25p/200/200/200
gmt gmtset MAP_TICK_LENGTH 0.0c
gmt gmtset FORMAT_GEO_MAP F
gmt gmtset MAP_LABEL_OFFSET 0.0c
gmt gmtset MAP_GRID_PEN_PRIMARY default,black

gmt psscale  -D3.2i/1.1i/7.0i/0.2ih -Ccofodiff.cpt -K -L -E > $ps

#gmt gmtset FONT_ANNOT_PRIMARY 10
gmt gmtset MAP_TITLE_OFFSET -0.3c
gmt gmtset MAP_GRID_PEN_PRIMARY default,grey
gmt gmtset MAP_ANNOT_OFFSET_PRIMARY 0.1c
gmt gmtset MAP_TICK_LENGTH 0.0c



gmt gmtset MAP_FRAME_AXES Wesn

gmt grdcontour "./../MPI-ESM_0k_slm.nc?lsm[0,0]" -R-180/180/20/90 -JQ0/50/18c -Y8.2i -Clsm.d -A1000 -Wthin,black -B60g30/30g15:."difference MPI-ESM - record:" -O -K >> $ps

gmt psxy -R -J -O -K  ./../output/tmax_Euro_cont_diff_norm.txt -Ccofodiff.cpt -W -Sc0.16 >> $ps

gmt psxy -R -J -O  -K ./../output/tmax_Asia_cont_diff_norm.txt -Ccofodiff.cpt -W -Sc0.16 >> $ps


gmt psxy -R -J -O  ./../output/tmax_Nam_cont_diff_norm.txt -Ccofodiff.cpt -W -Sc0.16 >> $ps



ps2pdf $ps $ps.pdf
rm $ps
evince $ps.pdf &
